import '../../loadableState/loading_error.dart';

class LoadableHydratedBlocEvent<TState> {}
class Emit<TState> extends LoadableHydratedBlocEvent<TState> {
  final TState Function(TState state) state;
  final bool loading;
  Emit(this.state, {this.loading = false});
}
class ClearState<TState> extends LoadableHydratedBlocEvent<TState> {}
class Error<TState> extends LoadableHydratedBlocEvent<TState> {
  final LoadingError error;
  Error(this.error);
}
class RefetchStarted<TState> extends LoadableHydratedBlocEvent<TState> {}
